Bot config
Modo del bot por número: OFF, RULES_ONLY, RULES_PLUS_AI_FALLBACK, AI_AGENT.
Base path:
/organizations/:orgId/bot/config·4 endpoints·Source: mosend-wb-backend/src/modules/bot/bot-config/bot-config.controller.ts/organizations/:orgId/bot/config bearer
Lista la configuración del bot por número activo de la org.
Path params
orgIdstringrequerido
Respuestas
- 200
curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/bot/config' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
}
],
"timestamp": "2026-05-01T03:42:18.123Z"
}/organizations/:orgId/bot/config/:phoneId bearer
Obtiene la configuración del bot de un número.
Path params
orgIdstringrequeridophoneIdstringrequerido
Respuestas
- 200
curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/bot/config/00000000-0000-0000-0000-000000000000' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
},
"timestamp": "2026-05-01T03:42:18.123Z"
}/organizations/:orgId/bot/config/:phoneId bearer
Crea o actualiza la configuración del bot de un número.
Path params
orgIdstringrequeridophoneIdstringrequerido
Body
UpsertBotConfigDtoparámetro: dtoRespuestas
- 200
curl -X PUT 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/bot/config/00000000-0000-0000-0000-000000000000' \
-H 'X-Api-Key: mk_live_<prefix>.<secret>' \
-H 'Content-Type: application/json' \
-d '{"mode": "RULES_PLUS_AI_FALLBACK","systemPrompt": "Eres un asistente de soporte amable."}'Response · 200
{
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"mode": "RULES_PLUS_AI_FALLBACK",
"systemPrompt": "Eres un asistente de soporte amable."
},
"timestamp": "2026-05-01T03:42:18.123Z"
}/organizations/:orgId/bot/config/:phoneId/toggle bearer
Activa o desactiva el bot de un número (crea config con defaults si no existe).
Path params
orgIdstringrequeridophoneIdstringrequerido
Respuestas
- 200
curl -X PATCH 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/bot/config/00000000-0000-0000-0000-000000000000/toggle' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
},
"timestamp": "2026-05-01T03:42:18.123Z"
}